machine:
  timezone:
    America/Los_Angeles
  java:
    version:
      openjdk7
  node:
    version: 4.4.7
  services:
    - docker
dependencies:
  override:
    - lein deps
    - npm install -g 'yarn@>=0.16.0'
    # Forces the Sauce Connect binary to be downloaded during dependencies phase so it's cached
    - SAUCE_CONNECT_DOWNLOAD_ON_INSTALL=true yarn
    - mkdir plugins
  cache_directories:
    - "~/.yarn"
    - "~/.yarn-cache"
database:
  post:
    # MySQL doesn't load named timezone information automatically, you have to run this command to load it
    # TODO - we only really need to do this step if we're testing against MySQL
    - mysql_tzinfo_to_sql /usr/share/zoneinfo | mysql -u ubuntu mysql
test:
  override:
    - ./bin/ci:
        parallel: true
deployment:
  master:
    branch: master
    commands:
      - ./bin/deploy-webhook $DEPLOY_WEBHOOK
general:
  artifacts:
    - target/uberjar/metabase.jar
    - screenshots
experimental:
  notify:
    branches:
      only:
        - master
        - /release-.*/
